Get user profile
curl --request GET \
--url https://api.konbiniapi.com/v1/linkedin/users/{username} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.konbiniapi.com/v1/linkedin/users/{username}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.konbiniapi.com/v1/linkedin/users/{username}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.konbiniapi.com/v1/linkedin/users/{username}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.konbiniapi.com/v1/linkedin/users/{username}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.konbiniapi.com/v1/linkedin/users/{username}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.konbiniapi.com/v1/linkedin/users/{username}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"@context": [
"https://www.w3.org/ns/activitystreams#",
"https://konbiniapi.com/ns/social#"
],
"type": "Person",
"id": "https://www.linkedin.com/in/williamhgates",
"url": "https://www.linkedin.com/in/williamhgates",
"name": "Bill Gates",
"preferredUsername": "williamhgates",
"summary": "Chair of the Gates Foundation. Founder of Breakthrough Energy. Co-founder of Microsoft. Voracious reader. Avid traveler. Active blogger.",
"location": "Seattle, Washington, United States, US",
"address": {
"addressLocality": "United States",
"addressCountry": "US"
},
"followerCount": 40733856,
"icon": {
"type": "Image",
"url": "https://media.licdn.com/dms/image/v2/D5603AQF-RYZP55jmXA/profile-displayphoto-shrink_200_200/B56ZRi8g.aGsAY-/0/1736826818802?e=2147483647&v=beta&t=bKWfN6UwwtiCqFWsG7rBELbd48qJOAMLdxhBzzkJV0k",
"name": "Bill Gates"
},
"headline": "Chair, Gates Foundation and Founder, Breakthrough Energy",
"role": [
"Co-chair"
],
"affiliation": [
"Gates Foundation"
],
"education": [
"Harvard University"
],
"worksFor": [
{
"type": "Organization",
"name": "Gates Foundation",
"url": "https://www.linkedin.com/company/gates-foundation",
"role": "Co-chair",
"startDate": "2000",
"endDate": "1996",
"duration": "26 years",
"location": "Greater Seattle Area",
"summary": "Working to give every person the chance to live a healthy, productive life."
}
],
"award": [
"Sigillum Magnum"
],
"knowsLanguage": [
"English",
"Spanish"
],
"alumniOf": [
{
"type": "Organization",
"name": "Gates Foundation",
"url": "https://www.linkedin.com/company/gates-foundation",
"role": "Co-chair",
"startDate": "2000",
"endDate": "1996",
"duration": "26 years",
"location": "Greater Seattle Area",
"summary": "Working to give every person the chance to live a healthy, productive life."
}
],
"language": [
"English"
]
}
}{
"errors": [
{
"code": "validation_error",
"message": "Validation error"
}
],
"data": null
}{
"errors": [
{
"code": "missing_api_key",
"message": "Invalid API key"
}
],
"data": null
}{
"errors": [
{
"code": "credits_exhausted",
"message": "Credits exhausted. Upgrade your plan at konbiniapi.com"
}
],
"data": null
}{
"errors": [
{
"code": "api_key_disabled",
"message": "API key is disabled"
}
],
"data": null
}{
"errors": [
{
"code": "not_found",
"message": "Not found"
}
],
"data": null
}{
"errors": [
{
"code": "validation_error",
"message": "Request body too large"
}
],
"data": null
}{
"errors": [
{
"code": "internal_error",
"message": "Internal error"
}
],
"data": null
}{
"errors": [
{
"code": "platform_error",
"message": "Platform error"
}
],
"data": null
}{
"errors": [
{
"code": "service_unavailable",
"message": "Service unavailable"
}
],
"data": null
}{
"errors": [
{
"code": "platform_error",
"message": "Platform error"
}
],
"data": null
}Users
Get user profile
Returns profile information for a public LinkedIn member: headline, location, and a simple list of job titles and school/employer names. Fields the member has restricted are omitted.
GET
/
v1
/
linkedin
/
users
/
{username}
Get user profile
curl --request GET \
--url https://api.konbiniapi.com/v1/linkedin/users/{username} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.konbiniapi.com/v1/linkedin/users/{username}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.konbiniapi.com/v1/linkedin/users/{username}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.konbiniapi.com/v1/linkedin/users/{username}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.konbiniapi.com/v1/linkedin/users/{username}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.konbiniapi.com/v1/linkedin/users/{username}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.konbiniapi.com/v1/linkedin/users/{username}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"@context": [
"https://www.w3.org/ns/activitystreams#",
"https://konbiniapi.com/ns/social#"
],
"type": "Person",
"id": "https://www.linkedin.com/in/williamhgates",
"url": "https://www.linkedin.com/in/williamhgates",
"name": "Bill Gates",
"preferredUsername": "williamhgates",
"summary": "Chair of the Gates Foundation. Founder of Breakthrough Energy. Co-founder of Microsoft. Voracious reader. Avid traveler. Active blogger.",
"location": "Seattle, Washington, United States, US",
"address": {
"addressLocality": "United States",
"addressCountry": "US"
},
"followerCount": 40733856,
"icon": {
"type": "Image",
"url": "https://media.licdn.com/dms/image/v2/D5603AQF-RYZP55jmXA/profile-displayphoto-shrink_200_200/B56ZRi8g.aGsAY-/0/1736826818802?e=2147483647&v=beta&t=bKWfN6UwwtiCqFWsG7rBELbd48qJOAMLdxhBzzkJV0k",
"name": "Bill Gates"
},
"headline": "Chair, Gates Foundation and Founder, Breakthrough Energy",
"role": [
"Co-chair"
],
"affiliation": [
"Gates Foundation"
],
"education": [
"Harvard University"
],
"worksFor": [
{
"type": "Organization",
"name": "Gates Foundation",
"url": "https://www.linkedin.com/company/gates-foundation",
"role": "Co-chair",
"startDate": "2000",
"endDate": "1996",
"duration": "26 years",
"location": "Greater Seattle Area",
"summary": "Working to give every person the chance to live a healthy, productive life."
}
],
"award": [
"Sigillum Magnum"
],
"knowsLanguage": [
"English",
"Spanish"
],
"alumniOf": [
{
"type": "Organization",
"name": "Gates Foundation",
"url": "https://www.linkedin.com/company/gates-foundation",
"role": "Co-chair",
"startDate": "2000",
"endDate": "1996",
"duration": "26 years",
"location": "Greater Seattle Area",
"summary": "Working to give every person the chance to live a healthy, productive life."
}
],
"language": [
"English"
]
}
}{
"errors": [
{
"code": "validation_error",
"message": "Validation error"
}
],
"data": null
}{
"errors": [
{
"code": "missing_api_key",
"message": "Invalid API key"
}
],
"data": null
}{
"errors": [
{
"code": "credits_exhausted",
"message": "Credits exhausted. Upgrade your plan at konbiniapi.com"
}
],
"data": null
}{
"errors": [
{
"code": "api_key_disabled",
"message": "API key is disabled"
}
],
"data": null
}{
"errors": [
{
"code": "not_found",
"message": "Not found"
}
],
"data": null
}{
"errors": [
{
"code": "validation_error",
"message": "Request body too large"
}
],
"data": null
}{
"errors": [
{
"code": "internal_error",
"message": "Internal error"
}
],
"data": null
}{
"errors": [
{
"code": "platform_error",
"message": "Platform error"
}
],
"data": null
}{
"errors": [
{
"code": "service_unavailable",
"message": "Service unavailable"
}
],
"data": null
}{
"errors": [
{
"code": "platform_error",
"message": "Platform error"
}
],
"data": null
}